Schemas
Get a schema version
Get one published schema version.
GET
/
api
/
v2
/
structs
/
{slug}
/
versions
/
{version_number}
/
Get a specific Struct version
curl --request GET \
--url https://api.example.com/api/v2/structs/{slug}/versions/{version_number}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v2/structs/{slug}/versions/{version_number}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v2/structs/{slug}/versions/{version_number}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"version_number": 1073741823,
"published_at": "2023-11-07T05:31:56Z",
"published_by": {
"id": 123,
"email": "jsmith@example.com"
},
"field_count": 123,
"is_deprecated": true,
"deprecated_by": {
"id": 123,
"email": "jsmith@example.com"
},
"schema_json": "<unknown>",
"annotations_json": "<unknown>",
"publish_note": "<string>",
"deprecated_at": "2023-11-07T05:31:56Z",
"deprecation_note": "<string>"
}{}One immutable published snapshot, including
schema_json.Authorizations
extractApiKeybearerAuthcookieAuth
Response
Detail shape for a single StructVersion — adds full JSON bodies.
⌘I
Get a specific Struct version
curl --request GET \
--url https://api.example.com/api/v2/structs/{slug}/versions/{version_number}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v2/structs/{slug}/versions/{version_number}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v2/structs/{slug}/versions/{version_number}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"version_number": 1073741823,
"published_at": "2023-11-07T05:31:56Z",
"published_by": {
"id": 123,
"email": "jsmith@example.com"
},
"field_count": 123,
"is_deprecated": true,
"deprecated_by": {
"id": 123,
"email": "jsmith@example.com"
},
"schema_json": "<unknown>",
"annotations_json": "<unknown>",
"publish_note": "<string>",
"deprecated_at": "2023-11-07T05:31:56Z",
"deprecation_note": "<string>"
}{}
